%define anolis_release 1

%global srcname Werkzeug
%global modname werkzeug

%bcond_with test

Name:           python-%{modname}
Version:        3.0.1
Release:        %{anolis_release}%{?dist}

Summary:        Comprehensive WSGI web application library

License:        BSD
URL:            https://werkzeug.palletsprojects.com
#Source0:        #%%{pypi_source}
Source0:        https://github.com/pallets/werkzeug/releases/download/%{version}/%{modname}-%{version}.tar.gz

# Fixes PYTHONPATH handling in tests
# Upstream: https://github.com/pallets/werkzeug/pull/2172
Patch0:         0001-preserve-any-existing-PYTHONPATH-in-tests.patch

BuildArch:      noarch

BuildRequires:  make
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
# For tests
%if %{with test}
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-timeout)
BuildRequires:  python3dist(pytest-xprocess)
BuildRequires:  python3dist(requests)
BuildRequires:  python3dist(requests-unixsocket)
BuildRequires:  python3dist(cryptography)
BuildRequires:  python3dist(greenlet)
BuildRequires:  python3dist(watchdog)
BuildRequires:  python3dist(ephemeral-port-reserve)
%endif

%global _description %{expand:
Werkzeug
========

Werkzeug started as simple collection of various utilities for WSGI
applications and has become one of the most advanced WSGI utility
modules.  It includes a powerful debugger, full featured request and
response objects, HTTP utilities to handle entity tags, cache control
headers, HTTP dates, cookie handling, file uploads, a powerful URL
routing system and a bunch of community contributed addon modules.

Werkzeug is unicode aware and doesn't enforce a specific template
engine, database adapter or anything else.  It doesn't even enforce
a specific way of handling requests and leaves all that up to the
developer. It's most useful for end user applications which should work
on as many server environments as possible (such as blogs, wikis,
bulletin boards, etc.).}

%description %{_description}

%package -n python3-%{modname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{modname}}

%description -n python3-%{modname} %{_description}

%package -n python3-%{modname}-doc
Summary:        Documentation for python3-werkzeug
Requires:       python3-%{modname} = %{EVR}
BuildArch:      noarch

%description -n python3-%{modname}-doc
Documentation and examples for python3-%{modname}.

%prep
%autosetup -p1 -n %{modname}-%{version}
find examples/ -type f -name '*.png' -executable -print -exec chmod -x "{}" +

%build
#%%py3_build
%generate_buildrequires
%pyproject_buildrequires

%install
#%%py3_install
%pyproject_wheel

%check
# deselect the test_exclude_patterns test case as it's failing
# when we set PYTHONPATH: https://github.com/pallets/werkzeug/issues/2404
%if %{with test}
%pytest --deselect tests/test_serving.py::test_exclude_patterns
%endif

%files -n python3-%{modname}
%license LICENSE.rst
#%%{python3_sitelib}/#%%{modname}-*.egg-info/
#%%{python3_sitelib}/#%%{modname}/

%files -n python3-%{modname}-doc
%doc CHANGES.rst README.rst

%changelog
* Thu Nov 02 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 3.0.1-1
- update to version 3.0.1

* Wed Mar 29 2023 yuanhui <yuanhui@linux.alibaba.com> - 2.2.3-1
- Init package from upstream
